---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "utils_deep_merge_yaml Data Source - terraform-provider-utils"
subcategory: ""
description: |-
  The deep_merge_yaml data source accepts a list of YAML strings as input and deep merges into a single YAML string as output.
---

# utils_deep_merge_yaml (Data Source)

The `deep_merge_yaml` data source accepts a list of YAML strings as input and deep merges into a single YAML string as output.

## Example Usage

```terraform
locals {
  yaml_data_1 = file("${path.module}/data1.yaml")
  yaml_data_2 = file("${path.module}/data2.yaml")
}

data "utils_deep_merge_yaml" "example" {
  input = [
    local.yaml_data_1,
    local.yaml_data_2
  ]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `input` (List of String) A list of YAML strings that is deep merged into the `output` attribute.

### Optional

- `append_list` (Boolean) A boolean flag to enable/disable appending lists instead of overwriting them.
- `deep_copy_list` (Boolean) A boolean flag to enable/disable merging of list elements one by one.
- `id` (String) The ID of this resource.

### Read-Only

- `output` (String) The deep-merged output.


